
#include <stdlib.h>

Display *display;
int screen_num;
XEvent report;
main_menu_struct *root;
sub_menu_struct *menu, *thismenu;
Window rootw, mainw;
int           display_x,     display_y;
unsigned int  display_width, display_height, depth;
unsigned int  display_border_width, display_depth; 
XFontStruct *font_info_first, *font_info_second, *font_info_third;

void Init_display(char *font1, char *font2)
{

  // Main window settings
  if ((display=XOpenDisplay(display_name)) == NULL )
  {
    cout << "Display not found\n";
    exit (-1);
  }
  mainw = RootWindow(display, screen_num);
  if (XGetGeometry(display, mainw, &rootw,
          &display_x, &display_y, 
          &display_width, &display_height, 
          &display_border_width, &depth)==FALSE) 
  {
    cout << "Couldn't get geometries\n";
    exit (-1);
  }
  screen_num = DefaultScreen(display);
  
  
  // Load fonts
  if ((font_info_first = XLoadQueryFont(display, font1 )) == NULL)
  {
     cout << "First font not found\n";
     exit (-1);
  }
  if ((font_info_second = XLoadQueryFont(display, font1)) == NULL)
  {
    cout << "Second font not found\n";
    exit (-1);
  }
  if ((font_info_third = XLoadQueryFont(display, font2)) == NULL)
  {
    cout << "Third font not found\n";
    exit (-1);
  }
}


int xstartpos, xpos, ypos, steps;

alignment()
{
  int width=0;
  int displaywidth = display_width
                   - display_x;
  xstartpos=xpos=atoi(xposi);
  ypos=atoi(yposi);
  steps=atoi(ssteps);
  if (steps>15) steps=15;
  if (steps<1) steps=1;
                   
  if (!strcmp(align, "c"))
  {
    while ((menu=menu->next)!=NULL)
      width+=menu->gettitlewidth(font_info_first);
    xpos=(displaywidth/2) - (width/2);
  }
  else
  if (!strcmp(align, "r"))
  {
    while ((menu=menu->next)!=NULL)
      width+=menu->gettitlewidth(font_info_first);
    xpos=displaywidth - width - xpos - xstartpos;
  }
}
